# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-posix_ipc
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-module-posix_ipc
Version:        0.5.3
Release:        alt1_7
Summary:        POSIX IPC primitives (semaphores and shared memory) for Python
Group:          Development/Python
License:        GPLv3+
URL:            http://semanchuk.com/philip/posix_ipc/
Source0:        http://semanchuk.com/philip/posix_ipc/posix_ipc-%{version}.tar.gz
BuildRequires:  python-devel python-module-setuptools
Source44: import.info

%description
posix_ipc is a Python module (written in C) that permits creation and
manipulation of POSIX inter-process semaphores, shared memory and message
queues on platforms supporting the POSIX Realtime Extensions, 
POSIX 1003.1b-1993. /make_all.sh

%prep
%setup -q -n posix_ipc-%{version}
chmod 644 demo/make_all.sh
chmod 644 demo2/cleanup.py
chmod 644 demo/cleanup.py


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README LICENSE demo demo2
%{python_sitelibdir}/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_6
- initial fc import

